Bug 740405 - Incomplete <note> bubbles appear without cause
Summary: Incomplete <note> bubbles appear without cause
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: PressGang CCMS
Classification: Community
Component: Web-UI
Version: 1.x
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: ---
Assignee: Matthew Casperson
QA Contact: Misha H. Ali
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-21 22:35 UTC by Misha H. Ali
Modified: 2014-08-04 22:26 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-10-07 10:49:50 UTC


Attachments (Terms of Use)
Incomplete note bubble displays. Topic number also appears in URL to check the code. (54.37 KB, image/png)
2011-09-21 22:35 UTC, Misha H. Ali
no flags Details

Description Misha H. Ali 2011-09-21 22:35:48 UTC
Created attachment 524278 [details]
Incomplete note bubble displays. Topic number also appears in URL to check the code.

Description of problem:

In several EDG6 topics, incomplete bubbles (the kind that display in entirety when the <note> tags are used) display despite the fact that the topics in question contain no note tags whatsoever.

It is theorized by misty that the note tags are imported.

A screenshot of such a topic is included. At the current time, ~60% of EDG 6 release tag topics display such bubbles, including the index page for EDG6 Beta documentation on the docs stage.
  
Actual results:

An incomplete bubble inexplicably displays in the result.

Expected results:

Not incomplete note bubbles.

Additional info:

The below is the error output of another topic, but I think it displays how note tags are appearing in the code. The below topic also does not have any actual note tags included in the XML by the author.

<!-- Topic ID: 5146 -->
<section id="TopicID5146" role="IATriage">


  
    <!-- Topic type: Concept -->
    <!-- The 4 Characteristics of a Concept: -->
    <!-- 1. It has single information role: "illuminate". -->
    <!-- 2. It treats one, and only one subject. -->
    <!-- 3. It builds a bridge from the known to the unknown. -->
    <!-- 4. It reduces uncertainty. -->
    <!-- INJECT TITLE HERE -->

  <title>JBoss Enterprise Data Grid Cache's DIST Usage</title><itemizedlist><title>Related Overviews</title><listitem><para><xref linkend="TopicID5142"/></para></listitem></itemizedlist>
  
<note><title/><para/></note><formalpara>   // Note: Stray note tags in this line //
        <title>Why does the cache perform a remote get command before a write command when using DIST?</title>  
  
  	<para>
		Certain methods, for example <classname>Cache.put()</classname>, return the previous value associated with the specified key according to the ... (rest of text is not relevant, assume para and section tags close as required).

Comment 1 Misha H. Ali 2011-10-06 23:32:08 UTC
Update: The specified bubbles continue to appear when the Jboss_EAP6 brand is applied:

http://documentation-stage.bne.redhat.com/docs/en-US/JBoss_Enterprise_Data_Grid-Beta_Documentation/6/html/Beta_Documentation/index.html

Comment 2 Matthew Casperson 2011-10-07 03:06:45 UTC
Fixed in 20111007-1305

The DocbookBuilder.processTopicDraftWarning() function was using setNodeValue instead of setTextContent to set the content of the added note elemeny, which was producing empty tags.

The note element is added to any topic that has not got the Written tag assigned to it to indicate that the topic is still in the draft stage.


Note You need to log in before you can comment on or make changes to this bug.